Skip to main content
GET
/
ibans
List IBANs
curl --request GET \
  --url https://api.otim.com/v0/ibans \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "iban_01JA1B2C3D4E5F6G7H8J9K0L",
      "entityId": "ent_01JA1B2C3D4E5F6G7H8J9K0L",
      "accountId": "acc_01JA1B2C3D4E5F6G7H8J9K0L",
      "iban": "GB29 NWBK 6016 1331 9268 19",
      "bic": "NWBKGB2L",
      "bankName": "Otim Financial Services",
      "currency": "EUR",
      "status": "active",
      "createdAt": "2025-01-15T12:00:00Z"
    }
  ],
  "hasMore": true,
  "nextCursor": "<string>"
}

Authorizations

Authorization
string
header
required

API key prefixed with sk_.

Query Parameters

entityId
string

Filter IBANs by Entity ID.

accountId
string

Filter IBANs by Account ID.

cursor
string

Pagination cursor from a previous response.

limit
integer
default:50

Number of items to return.

Required range: x <= 100

Response

A paginated list of IBANs.

data
object[]
hasMore
boolean
nextCursor
string | null